WordPress.org

Ready to get started?Download WordPress

Forums

Fast Secure Contact Form
Warning: Cannot modify header information – headers already sent (6 posts)

  1. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    Problem:
    You get an error about headers already sent

    Warning: Cannot modify header information – headers already sent

    Here is a couple of help pages
    http://www.fastsecurecontactform.com/headers-already-sent
    http://www.fastsecurecontactform.com/troubleshoot-errors-in-wordpress

    http://www.fastsecurecontactform.com/faq

    http://wordpress.org/extend/plugins/si-contact-form/

  2. jpr105
    Member
    Posted 1 year ago #

    Hi,

    I read your post and I do not intend to change my theme nor deactivate plugins one after the other.

    I get this error with 2 plugins: DMSGuestbook and Ultimate TinyMCE and I think (but I'm not quite sure) with User Access Manager. Canvas is my theme.

    Maybe this will help you to find a solution.

    Good luck

    Regards-Jean-Paul

  3. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    Some part of your WordPress installation is outputting HTML content before headers are sent. That is not supposed to happen and you should find it and fix it. Just telling me your theme and plugin does not solve the problem for you. If you have this error, only you can troubleshoot your WordPress install to try to fix it. I cannot do it for you.

  4. dps_addesign
    Member
    Posted 1 year ago #

    Hi! I'm experiencing the same issue.

    On the website with WordPress 3.5.1 and FSCF 3.1.8.1, the captcha images fail to appear due to "Cannot modify header information" warnings.

    However, on the other website that's still on WordPress 3.5 with FSCF 3.1.6.3, the captcha images are fine. Both sites use the same theme and plugins.

    Another possible factor is that my production server runs php 5.2 with safe_mode enabled (not something I have control over, unfortunately).

    I disabled captcha for now but would prefer having them.

    Any ideas what I could do to make captcha work?

  5. Mike Challis
    Member
    Plugin Author

    Posted 1 year ago #

    One of the requirements for this plugin: safe_mode MUST be set to "Off".

  6. dps_addesign
    Member
    Posted 1 year ago #

    Thanks for the quick reply.

    Still, I find it weird that captcha works with version 3.1.6.3 on a server with safe_mode but suddenly stops working with the latest update.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.